Package org.apache.juneau.http.response
package org.apache.juneau.http.response
Next-generation HTTP response types.
Key types:
HttpStatusLine— parsed HTTP status line (interface; lives inorg.apache.juneau.http)HttpResponseMessage— a full HTTP response messageHttpStatusLineBean— defaultHttpStatusLineimplementation
-
ClassDescriptionRepresents an
HTTP 202 Accepted response.Unmodifiable point-in-time snapshot of the enclosingAcceptedresponse.Represents anHTTP 208 Already Reported response.Unmodifiable point-in-time snapshot of the enclosingAlreadyReportedresponse.Represents anHTTP 502 Bad Gateway error response.Unmodifiable point-in-time snapshot of the enclosingBadGatewayexception.Represents anHTTP 400 Bad Request error response.Unmodifiable point-in-time snapshot of the enclosingBadRequestexception.Base class for HTTP error response exceptions (4xx and 5xx) in theorg.apache.juneau.httpstack.Unmodifiable point-in-time snapshot of the enclosingBasicHttpException.BasicHttpResponse<SELF extends BasicHttpResponse<SELF>>Base class for concrete HTTP response objects in theorg.apache.juneau.httpstack.Represents anHTTP 409 Conflict error response.Unmodifiable point-in-time snapshot of the enclosingConflictexception.Represents anHTTP 100 Continue response.Unmodifiable point-in-time snapshot of the enclosingContinueresponse.Represents anHTTP 201 Created response.Unmodifiable point-in-time snapshot of the enclosingCreatedresponse.Represents anHTTP 103 Early Hints response.Unmodifiable point-in-time snapshot of the enclosingEarlyHintsresponse.Represents anHTTP 417 Expectation Failed error response.Unmodifiable point-in-time snapshot of the enclosingExpectationFailedexception.Represents anHTTP 424 Failed Dependency error response.Unmodifiable point-in-time snapshot of the enclosingFailedDependencyexception.Represents anHTTP 403 Forbidden error response.Unmodifiable point-in-time snapshot of the enclosingForbiddenexception.Represents anHTTP 302 Found response.Unmodifiable point-in-time snapshot of the enclosingFoundresponse.Represents anHTTP 504 Gateway Timeout error response.Unmodifiable point-in-time snapshot of the enclosingGatewayTimeoutexception.Represents anHTTP 410 Gone error response.Unmodifiable point-in-time snapshot of the enclosingGoneexception.A complete HTTP response message: status line, headers, and optional body.Default immutable implementation ofHttpStatusLine.Represents anHTTP 505 HTTP Version Not Supported error response.Unmodifiable point-in-time snapshot of the enclosingHttpVersionNotSupportedexception.Represents anHTTP 226 IM Used response.Unmodifiable point-in-time snapshot of the enclosingIMUsedresponse.Represents anHTTP 507 Insufficient Storage error response.Unmodifiable point-in-time snapshot of the enclosingInsufficientStorageexception.Represents anHTTP 500 Internal Server Error error response.Unmodifiable point-in-time snapshot of the enclosingInternalServerErrorexception.Represents anHTTP 411 Length Required error response.Unmodifiable point-in-time snapshot of the enclosingLengthRequiredexception.Represents anHTTP 423 Locked error response.Unmodifiable point-in-time snapshot of the enclosingLockedexception.Represents anHTTP 508 Loop Detected error response.Unmodifiable point-in-time snapshot of the enclosingLoopDetectedexception.Represents anHTTP 405 Method Not Allowed error response.Unmodifiable point-in-time snapshot of the enclosingMethodNotAllowedexception.Represents anHTTP 421 Misdirected Request error response.Unmodifiable point-in-time snapshot of the enclosingMisdirectedRequestexception.Represents anHTTP 301 Moved Permanently response.Unmodifiable point-in-time snapshot of the enclosingMovedPermanentlyresponse.Represents anHTTP 300 Multiple Choices response.Unmodifiable point-in-time snapshot of the enclosingMultipleChoicesresponse.Represents anHTTP 207 Multi-Status response.Unmodifiable point-in-time snapshot of the enclosingMultiStatusresponse.Represents anHTTP 511 Network Authentication Required error response.Unmodifiable point-in-time snapshot of the enclosingNetworkAuthenticationRequiredexception.Represents anHTTP 204 No Content response.Unmodifiable point-in-time snapshot of the enclosingNoContentresponse.Represents anHTTP 203 Non-Authoritative Information response.Unmodifiable point-in-time snapshot of the enclosingNonAuthoritativeInformationresponse.Represents anHTTP 406 Not Acceptable error response.Unmodifiable point-in-time snapshot of the enclosingNotAcceptableexception.Represents anHTTP 510 Not Extended error response.Unmodifiable point-in-time snapshot of the enclosingNotExtendedexception.Represents anHTTP 404 Not Found error response.Unmodifiable point-in-time snapshot of the enclosingNotFoundexception.Represents anHTTP 501 Not Implemented error response.Unmodifiable point-in-time snapshot of the enclosingNotImplementedexception.Represents anHTTP 304 Not Modified response.Unmodifiable point-in-time snapshot of the enclosingNotModifiedresponse.Represents anHTTP 200 OK response.Unmodifiable point-in-time snapshot of the enclosingOkresponse.Represents anHTTP 206 Partial Content response.Unmodifiable point-in-time snapshot of the enclosingPartialContentresponse.Represents anHTTP 413 Payload Too Large error response.Unmodifiable point-in-time snapshot of the enclosingPayloadTooLargeexception.Represents anHTTP 308 Permanent Redirect response.Unmodifiable point-in-time snapshot of the enclosingPermanentRedirectresponse.Represents anHTTP 412 Precondition Failed error response.Unmodifiable point-in-time snapshot of the enclosingPreconditionFailedexception.Represents anHTTP 428 Precondition Required error response.Unmodifiable point-in-time snapshot of the enclosingPreconditionRequiredexception.Represents anHTTP 102 Processing response.Unmodifiable point-in-time snapshot of the enclosingProcessingresponse.Represents anHTTP 416 Range Not Satisfiable error response.Unmodifiable point-in-time snapshot of the enclosingRangeNotSatisfiableexception.Represents anHTTP 431 Request Header Fields Too Large error response.Unmodifiable point-in-time snapshot of the enclosingRequestHeaderFieldsTooLargeexception.Represents anHTTP 205 Reset Content response.Unmodifiable point-in-time snapshot of the enclosingResetContentresponse.Represents anHTTP 303 See Other response.Unmodifiable point-in-time snapshot of the enclosingSeeOtherresponse.Represents anHTTP 503 Service Unavailable error response.Unmodifiable point-in-time snapshot of the enclosingServiceUnavailableexception.Represents anHTTP 101 Switching Protocols response.Unmodifiable point-in-time snapshot of the enclosingSwitchingProtocolsresponse.Represents anHTTP 307 Temporary Redirect response.Unmodifiable point-in-time snapshot of the enclosingTemporaryRedirectresponse.Represents anHTTP 429 Too Many Requests error response.Unmodifiable point-in-time snapshot of the enclosingTooManyRequestsexception.Represents anHTTP 401 Unauthorized error response.Unmodifiable point-in-time snapshot of the enclosingUnauthorizedexception.Represents anHTTP 451 Unavailable For Legal Reasons error response.Unmodifiable point-in-time snapshot of the enclosingUnavailableForLegalReasonsexception.Represents anHTTP 422 Unprocessable Entity error response.Unmodifiable point-in-time snapshot of the enclosingUnprocessableEntityexception.Represents anHTTP 415 Unsupported Media Type error response.Unmodifiable point-in-time snapshot of the enclosingUnsupportedMediaTypeexception.Represents anHTTP 426 Upgrade Required error response.Unmodifiable point-in-time snapshot of the enclosingUpgradeRequiredexception.Represents anHTTP 414 URI Too Long error response.Unmodifiable point-in-time snapshot of the enclosingUriTooLongexception.Represents anHTTP 305 Use Proxy response.Unmodifiable point-in-time snapshot of the enclosingUseProxyresponse.Represents anHTTP 506 Variant Also Negotiates error response.Unmodifiable point-in-time snapshot of the enclosingVariantAlsoNegotiatesexception.